aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorEivind Uggedal <eivind@uggedal.com>2015-09-17 06:50:59 +0000
committerEivind Uggedal <eivind@uggedal.com>2015-09-17 08:30:06 +0000
commite5d85c96c6b566223215a27b84e9f7f264ee59b5 (patch)
tree820c544501ef792b71e6e3eb79b829cdf47b3d8b
parent28cd72ed71b323780b83a0c8b012fdc19df8379d (diff)
downloadaports-e5d85c96c6b566223215a27b84e9f7f264ee59b5.tar.gz
aports-e5d85c96c6b566223215a27b84e9f7f264ee59b5.tar.bz2
aports-e5d85c96c6b566223215a27b84e9f7f264ee59b5.tar.xz
main/font-bh-75dpi: upgrade to 1.0.3
-rw-r--r--main/font-bh-75dpi/APKBUILD23
1 files changed, 19 insertions, 4 deletions
diff --git a/main/font-bh-75dpi/APKBUILD b/main/font-bh-75dpi/APKBUILD
index 385c97f3ca..fb329e8b3c 100644
--- a/main/font-bh-75dpi/APKBUILD
+++ b/main/font-bh-75dpi/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=font-bh-75dpi
-pkgver=1.0.0
-pkgrel=3
+pkgver=1.0.3
+pkgrel=0
pkgdesc="X.Org Bigelow & Holmes bitmap fonts"
url="http://xorg.freedesktop.org/"
arch="all"
@@ -11,6 +11,11 @@ makedepends="font-util-dev bdftopcf"
install=
source="http://xorg.freedesktop.org/releases/individual/font/$pkgname-$pkgver.tar.bz2"
+prepare() {
+ cd "$srcdir"/$pkgname-$pkgver
+ update_config_sub || return 1
+}
+
build() {
cd "$srcdir"/$pkgname-$pkgver
./configure \
@@ -21,7 +26,17 @@ build() {
--with-fontdir=/usr/share/fonts/75dpi \
|| return 1
make || return 1
- make -j1 DESTDIR="$pkgdir" MKFONTDIR=: MKFONTSCALE=: install || return 1
}
-md5sums="6e51cd02f4ce32e1393e34ab17a9b211 font-bh-75dpi-1.0.0.tar.bz2"
+package() {
+ cd "$srcdir"/$pkgname-$pkgver
+ make -j1 DESTDIR="$pkgdir" \
+ MKFONTDIR=: \
+ MKFONTSCALE=: \
+ FCCACHE=: \
+ install || return 1
+}
+
+md5sums="565494fc3b6ac08010201d79c677a7a7 font-bh-75dpi-1.0.3.tar.bz2"
+sha256sums="3486aa51ac92c646a448fe899c5c3dae0024b1fef724d5100d52640d1cac721c font-bh-75dpi-1.0.3.tar.bz2"
+sha512sums="fb19c7fe91b6cc0670b01d5b8165075866ad08796293650d6037d79211ca668decdcc1b3684774907c06073145919655690d78ccdcf2511db38b5879328a9f50 font-bh-75dpi-1.0.3.tar.bz2"